assemble_image_pieces_scene05 = {}

assemble_image_pieces_scene05.params = 
{
	init_pos = 
	{
		-- 1		
		sf.misc.FloatVector(62.0, 82.0),
		-- 2
		sf.misc.FloatVector(180.0, 34.0),
		--3
		sf.misc.FloatVector(105.0, 186.0),
		--4
		sf.misc.FloatVector(6.0, 98.0),
		--5
		sf.misc.FloatVector(90.0, 109.0),
		--6
		sf.misc.FloatVector(174.0, 106.0),
		-- 7
		sf.misc.FloatVector(140.0, 21.0),
		-- 8
		sf.misc.FloatVector(38.0, 170.0),
		--9
		sf.misc.FloatVector(21.0, 20.0),
		--10
		sf.misc.FloatVector(220.0, 57.0),
		--11
		sf.misc.FloatVector(206.0, 169.0),
		--12
		sf.misc.FloatVector(238.0, 127.0)

	},
	
	target_pos = 
	{
		-- 1		
		sf.misc.FloatVector(150.0, 36.0),
		-- 2
		sf.misc.FloatVector(130.0, 159.0),
		--3
		sf.misc.FloatVector(72.0, 36.0),
		--4
		sf.misc.FloatVector(56.0, 67.0),
		--5
		sf.misc.FloatVector(143.0, 150.0),
		--6
		sf.misc.FloatVector(59.0, 155.0),
		-- 7
		sf.misc.FloatVector(38.0, 91.0),
		-- 8
		sf.misc.FloatVector(179.0, 86.0),
		--9
		sf.misc.FloatVector(99.0, 228.0),
		--10
		sf.misc.FloatVector(220.0, 57.0),
		--11
		sf.misc.FloatVector(142.0, 56.0),
		--12
		sf.misc.FloatVector(216.0, 212.0)


	},
	
	colors = 
	{
		normal = sf.graphics.Color(255, 255, 255, 255),
		selected = sf.graphics.Color(255, 255, 255, 255)
	},
	
	highlight_effect = 
	{
		color =
		{
			min = sf.graphics.Color(255, 255, 255, 255),
			max = sf.graphics.Color(255, 100, 200, 100)
		},
		
		time = 700
	},
	
	moving_effect = 
	{
		speed = 0.2
	},
	
	inaccuracy = 15.0,
	
	sound_take = "take_put_item",
	sound_right_put = "put_part",
	sound_error_put = "put_part"
}

assemble_image_pieces_scene05.Init = function(_owner)
	assemble_image_pieces.params = assemble_image_pieces_scene05.params
	assemble_image_pieces.Init(_owner)
end

for p,v in pairs(assemble_image_pieces) do
	if not assemble_image_pieces_scene05[p] then assemble_image_pieces_scene05[p] = v end
end